# Styling thouhgts

## Small changes

- [ ] Same height colored rect for first level headings (it currently varies per number)

- [x] The Appendix page number appears in the outline, even though the Appendix page is unnumbered
      (consider numbering the appendix pages?)

# Difficulties

This is a collection of difficulties I encountered while recreating the template.

## Spacing

I didn't bother replicating the spacing too precisely
(I probably couldn't do it perfectly for the general case anyway)

## Impossible

- The ACM classification cannot be replicated since typst does not support
  custom document metadata.

- Headings in the pdf outline are not numbered
  (currently impossible with typst (or with a very hacky workaround)).

- replicating the wrapping look for listings is not possible via the default typst api.
  You would need to implement the wrapping yourself.

## Annoying

- Since typst does not associate content with headings, replicating paragraphs and subparagraphs
  in a way that's similar to the headings is (maybe impossible?)
  One could create simple functions to replicate their looks though

- There is a builtin "acm" style for the bibliography but to customize it further one would
  have to supply a custom file

- One would need to supply a theme file to get similar code highlighting, tho I like the more
  colorful one ;)

## Not Sure if possible
