/// Typset TeX
///
/// - font (string): The font used
///
/// - weight (string, int): The font weight used
///
/// -> content
#let TeX(font: "New Computer Modern", weight: "regular") = {
  set text(font: font, weight: weight)
  box(
    width: 1.7em,
    {
      [T]
      place(top, dx: 0.56em, dy: 0.22em)[E]
      place(top, dx: 1.1em)[X]
    },
  )
}

/// Typset LaTeX
///
/// - font (string): The font used
///
/// - weight (string, int): The font weight used
///
/// -> content
#let LaTeX(font: "New Computer Modern", weight: "regular") = {
  set text(font: font, weight: weight)
  box(
    width: 2.55em,
    {
      [L]
      place(top, dx: 0.3em, text(size: 0.7em)[A])
      place(top, dx: 0.7em)[#TeX(font: font, weight: weight)]
    },
  )
}
